import { ZodSchema } from 'zod';
/**
 * Validates given `object` with given `schema`.
 */
export declare const validate: <T>(schema: ZodSchema<T>, object: any, index?: number, errorConstructor?: ErrorConstructor) => T;
/**
 * Validates whether a given value is a valid arithmetic expression.
 *
 * If the value is a string, it first removes any equal signs and checks if it
 * is a valid arithmetic expression using the `isValidArithmeticExpression` helper.
 * If valid, it attempts to evaluate the expression and ensures the result is numeric.
 * In case of an invalid format, it calls `validateExpressionFormat`.
 * The function returns true if the value is valid or numeric.
 */
export declare const validateArithmeticExpression: (parameterName: string, value: any) => any;
